Subject: Re: Fw: next/pending-fixes build: 162 builds: 2 failed, 160 passed, 2 errors, 109 warnings (v5.7-8671-g086779e58c68)

From: Peter Zijlstra <[email-masked]>
Date: Fri, 5 Jun 2020 16:47:59 +0200

On Fri, Jun 05, 2020 at 07:36:02AM -0700, Kees Cook wrote:
> On Fri, Jun 05, 2020 at 10:38:55AM +0200, Peter Zijlstra wrote:
> > On Fri, Jun 05, 2020 at 11:52:13AM +1000, Stephen Rothwell wrote:
> > > Commit
> > > 
> > >   a148866489fb ("sched: Replace rq::wake_list")
> > > 
> > > added
> > > 
> > > BUILD_BUG_ON(offsetof(struct task_struct, wake_entry_type) - offsetof(struct task_struct, wake_entry) !=
> > > 		     offsetof(struct __call_single_data, flags) - offsetof(struct __call_single_data, llist));
> > > 
> > > in kernel/smp.c.  This seems to be failing - at least for gcc-8 (I
> > > haven't seen any failures in my linux-next testing).
> > 
> > CONFIG_GCC_PLUGIN_RANDSTRUCT=y
> 
> (FWIW, the plugins will only be enabled if the gcc plugins-dev package is
> installed)

Which I hadn't, which is why I'd never seen it. I have now.

> > working on it.
> 
> Either of these solutions should fix it. I'm not sure which is
> preferred.

I posted in another thread that had earlier raised the issue:

https://lkml.kernel.org/r/[email-masked]